Activities
Session-based authentication via HTTP-only cookie
List of activities
Unique activity identifier
1When the activity occurred
2026-01-20T14:30:00.000ZActivity type
meetingPossible values: Activity subtype for categorization
kickoffActivity description/content
Discussed project timeline and deliverablesAssociated project ID
Associated organization ID
User ID who created the activity
5Additional activity metadata
Supporting evidence/attachments
Creation timestamp
Last update timestamp
Not authenticated
Access denied
Server error
GET /api/activities HTTP/1.1
Accept: */*
[
{
"id": 1,
"timestamp": "2026-01-20T14:30:00.000Z",
"type": "meeting",
"subtype": "kickoff",
"description": "Discussed project timeline and deliverables",
"projectId": 1,
"organizationId": 1,
"creatorId": 5,
"metadata": {},
"evidence": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"creator": {
"id": 1,
"username": "text",
"fullName": "text"
},
"project": {
"id": 1,
"title": "text"
}
}
]Session-based authentication via HTTP-only cookie
When the activity occurred (ISO 8601 format)
2026-01-20T14:30:00.000ZnotePossible values: Activity description/content
Follow-up call with clientProject to associate with
Organization to associate with
Activity created successfully
Unique activity identifier
1When the activity occurred
2026-01-20T14:30:00.000ZActivity type
meetingPossible values: Activity subtype for categorization
kickoffActivity description/content
Discussed project timeline and deliverablesAssociated project ID
Associated organization ID
User ID who created the activity
5Additional activity metadata
Supporting evidence/attachments
Creation timestamp
Last update timestamp
Validation error
Not authenticated
Permission denied
Project or organization not found
Server error
POST /api/activities HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 175
{
"timestamp": "2026-01-20T14:30:00.000Z",
"type": "note",
"subtype": "text",
"description": "Follow-up call with client",
"projectId": 1,
"organizationId": 1,
"metadata": {},
"evidence": {}
}{
"id": 1,
"timestamp": "2026-01-20T14:30:00.000Z",
"type": "meeting",
"subtype": "kickoff",
"description": "Discussed project timeline and deliverables",
"projectId": 1,
"organizationId": 1,
"creatorId": 5,
"metadata": {},
"evidence": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}Session-based authentication via HTTP-only cookie
Activity ID
Activity details
Unique activity identifier
1When the activity occurred
2026-01-20T14:30:00.000ZActivity type
meetingPossible values: Activity subtype for categorization
kickoffActivity description/content
Discussed project timeline and deliverablesAssociated project ID
Associated organization ID
User ID who created the activity
5Additional activity metadata
Supporting evidence/attachments
Creation timestamp
Last update timestamp
Not authenticated
Access denied
Activity not found
Server error
GET /api/activities/{id} HTTP/1.1
Accept: */*
{
"id": 1,
"timestamp": "2026-01-20T14:30:00.000Z",
"type": "meeting",
"subtype": "kickoff",
"description": "Discussed project timeline and deliverables",
"projectId": 1,
"organizationId": 1,
"creatorId": 5,
"metadata": {},
"evidence": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"creator": {
"id": 1,
"username": "text",
"fullName": "text"
},
"project": {
"id": 1,
"title": "text"
}
}Session-based authentication via HTTP-only cookie
Project ID
List of project activities
Unique activity identifier
1When the activity occurred
2026-01-20T14:30:00.000ZActivity type
meetingPossible values: Activity subtype for categorization
kickoffActivity description/content
Discussed project timeline and deliverablesAssociated project ID
Associated organization ID
User ID who created the activity
5Additional activity metadata
Supporting evidence/attachments
Creation timestamp
Last update timestamp
Not authenticated
Access denied
Server error
GET /api/projects/{projectId}/activities HTTP/1.1
Accept: */*
[
{
"id": 1,
"timestamp": "2026-01-20T14:30:00.000Z",
"type": "meeting",
"subtype": "kickoff",
"description": "Discussed project timeline and deliverables",
"projectId": 1,
"organizationId": 1,
"creatorId": 5,
"metadata": {},
"evidence": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"creator": {
"id": 1,
"username": "text",
"fullName": "text"
},
"project": {
"id": 1,
"title": "text"
}
}
]Session-based authentication via HTTP-only cookie
Organization ID
List of organization activities
Unique activity identifier
1When the activity occurred
2026-01-20T14:30:00.000ZActivity type
meetingPossible values: Activity subtype for categorization
kickoffActivity description/content
Discussed project timeline and deliverablesAssociated project ID
Associated organization ID
User ID who created the activity
5Additional activity metadata
Supporting evidence/attachments
Creation timestamp
Last update timestamp
Not authenticated
Access denied
Server error
GET /api/organizations/{organizationId}/activities HTTP/1.1
Accept: */*
[
{
"id": 1,
"timestamp": "2026-01-20T14:30:00.000Z",
"type": "meeting",
"subtype": "kickoff",
"description": "Discussed project timeline and deliverables",
"projectId": 1,
"organizationId": 1,
"creatorId": 5,
"metadata": {},
"evidence": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"creator": {
"id": 1,
"username": "text",
"fullName": "text"
},
"project": {
"id": 1,
"title": "text"
}
}
]Session-based authentication via HTTP-only cookie
Activity ID
List of comments
Not authenticated
Server error
GET /api/activities/{activityId}/comments HTTP/1.1
Accept: */*
[
{
"id": 1,
"content": "text",
"activityId": 1,
"userId": 1,
"parentId": 1,
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"user": {
"id": 1,
"username": "text",
"fullName": "text"
}
}
]Session-based authentication via HTTP-only cookie
Activity ID
Comment content
Parent comment ID for replies
Comment created successfully
Not authenticated
Permission denied
Server error
POST /api/activities/{activityId}/comments HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 31
{
"content": "text",
"parentId": 1
}{
"id": 1,
"content": "text",
"activityId": 1,
"userId": 1,
"parentId": 1,
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"user": {
"id": 1,
"username": "text",
"fullName": "text"
}
}Session-based authentication via HTTP-only cookie
Activity ID
Tag ID to add
Tag added successfully
No content
Not authenticated
Permission denied
Server error
POST /api/activities/{activityId}/tags HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 11
{
"tagId": 1
}No content
Session-based authentication via HTTP-only cookie
Activity ID
Tag ID
Tag removed successfully
No content
Not authenticated
Permission denied
Server error
DELETE /api/activities/{activityId}/tags/{tagId} HTTP/1.1
Accept: */*
No content
Last updated
Was this helpful?